Commit 625b59a7 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Adapt to new plugins api

parent a15972dd
Pipeline #188060 passed with stage
in 1 minute and 40 seconds
......@@ -52,7 +52,7 @@ set(KDEPIM_LIB_SOVERSION "5")
set(AKONADINOTES_LIB_VERSION "5.20.40")
set(AKONADI_VERSION "5.20.40")
set(CALENDARUTILS_LIB_VERSION "5.20.40")
set(KONTACTINTERFACE_LIB_VERSION "5.20.40")
set(KONTACTINTERFACE_LIB_VERSION "5.20.41")
set(KPIMTEXTEDIT_LIB_VERSION "5.20.40")
set(LIBKDEPIM_LIB_VERSION "5.20.40")
set(KMIME_LIB_VERSION "5.20.40")
......@@ -117,7 +117,7 @@ include_directories(${knotes_SOURCE_DIR} ${knotes_BINARY_DIR})
ecm_set_disabled_deprecation_versions(QT 5.15.2
KF 5.95.0
KCOREADDONS 5.88.0 #KPluginFactory::registerPlugin
KCOREADDONS 5.88.0 #KPluginFactory::registerPlugin (remove it when we depend against kf5.95)
)
configure_file(knotes-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/knotes-version.h @ONLY)
......
......@@ -37,8 +37,8 @@ using namespace KCalendarCore;
EXPORT_KONTACT_PLUGIN_WITH_JSON(KNotesPlugin, "knotesplugin.json")
KNotesPlugin::KNotesPlugin(KontactInterface::Core *core, const QVariantList &)
: KontactInterface::Plugin(core, core, "knotes")
KNotesPlugin::KNotesPlugin(KontactInterface::Core *core, const KPluginMetaData &data, const QVariantList &)
: KontactInterface::Plugin(core, core, data, "knotes")
{
setComponentName(QStringLiteral("knotes"), i18n("KNotes"));
......
......@@ -30,7 +30,7 @@ class KNotesPlugin : public KontactInterface::Plugin
{
Q_OBJECT
public:
KNotesPlugin(KontactInterface::Core *core, const QVariantList &);
KNotesPlugin(KontactInterface::Core *core, const KPluginMetaData &, const QVariantList &);
~KNotesPlugin() override;
KontactInterface::Summary *createSummaryWidget(QWidget *parentWidget) override;
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment